<?php
namespace Ep\Woo;

use Zend\ServiceManager\Factory\InvokableFactory;

return [
    'view_helpers' => [
        'aliases' => [
            'form_attribute'     => Form\View\Helper\Attribute::class,
            'form_attributelist' => Form\View\Helper\AttributeList::class,
            'form_quantity'      => Form\View\Helper\Quantity::class,

            'brand_logo'         => Product\View\Helper\BrandLogo::class,
            'product_sale_badge' => Product\View\Helper\SaleBadge::class,
            'sale_badge'         => Product\View\Helper\SaleBadge::class,
        ],

        'factories' => [
            Form\View\Helper\Attribute::class     => InvokableFactory::class,
            Form\View\Helper\AttributeList::class => InvokableFactory::class,
            Form\View\Helper\Quantity::class      => InvokableFactory::class,

            Product\View\Helper\BrandLogo::class  => InvokableFactory::class,
            Product\View\Helper\SaleBadge::class  => InvokableFactory::class,
        ],
    ],
];